import { Injectable } from '@nestjs/common';
import { Repository } from 'typeorm';
import { InjectRepository } from '@nestjs/typeorm';
import { Modulo } from './modulo.entity';

@Injectable()
export class ModuloService {
  constructor(
    @InjectRepository(Modulo) private repository: Repository<Modulo>,
  ) {}

  findByIdInstitucion(id_institucion: number) {
    return this.repository.find({
      where: { institucion: id_institucion },
    });
  }

  create(attrs: Partial<Modulo>) {
    console.log(attrs);
    return this.repository
      .findOne({
        where: { institucion: attrs.institucion, modulo: attrs.modulo },
      })
      .then((res) => {
        console.log(res);
        if (res) throw new Error('Ya existe este usuario.');
        return this.repository.save(attrs);
      });
  }
}
